오류발생

아래와 같은 오류가 발생했습니다.

E: 오류, pkgProblemResolver::Resolve가 망가졌습니다. 고정 패키지때문에 발생할 수도 있습니다.
E: 의존성을 바로 잡을 수 없습니다

이거 어떻게 수정해야 하나요?

12.04LTS로 넘어 가고 싶은데 이것 때문에 며칠 고생하네요 ㅠㅠ

덧 붙여서

sudo apt-get -f install
패키지 목록을 읽는 중입니다… 완료
의존성 트리를 만드는 중입니다
상태 정보를 읽는 중입니다… 완료
의존성을 바로잡는 중입니다… 실패.
다음 패키지의 의존성이 맞지 않습니다:
libapt-inst1.4: 의존: libc6 (>= 2.14) 하지만 2.11.1-0ubuntu7.12 패키지를 설치했습니다
libapt-pkg4.12: 의존: libc6 (>= 2.15) 하지만 2.11.1-0ubuntu7.12 패키지를 설치했습니다
의존: libstdc++6 (>= 4.6) 하지만 4.4.3-4ubuntu5.1 패키지를 설치했습니다
E: 오류, pkgProblemResolver::Resolve가 망가졌습니다. 고정 패키지때문에 발생할 수도 있습니다.
E: 의존성을 바로잡을 수 없습니다

sudo apt-get -f install 이렇게 입력하면

상기와 같이 나옵니다.

무엇이 잘못된 것일까요? ㅠㅠ

sudo apt-get download aptitute
sudo dpkg -i aptitude*.deb
sudo aptitude -f install

[quote="protochaos":36ew04gr]sudo apt-get download aptitute
sudo dpkg -i aptitude*.deb
sudo aptitude -f install[/quote:36ew04gr]

답변 감사드립니다.

하지만 마지막 명령어외에는 먹히지 않네요 ㅠㅠ

jkn@jkn-desktop:~$ sudo apt-get download aptitute
E: 잘못된 작업 download
jkn@jkn-desktop:~$ sudo dpkg -i aptitude*.deb
dpkg: aptitude*.deb을(를) 처리하는 데 오류가 발생했습니다 (–install):
아카이브에 접근할 수 없습니다: 그런 파일이나 디렉터리가 없습니다
처리하는 데 오류가 발생했습니다:
aptitude*.deb
jkn@jkn-desktop:~$ sudo aptitude -f install
패키지 목록을 읽는 중입니다… 완료
의존성 트리를 만드는 중입니다
상태 정보를 읽는 중입니다… 완료
Reading extended state information
Initializing package states… 완료
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 1298 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
패키지 목록을 읽는 중입니다… 완료
의존성 트리를 만드는 중입니다
상태 정보를 읽는 중입니다… 완료
Reading extended state information
Initializing package states… 완료

jkn@jkn-desktop:~$